%define srcname ktp-approver
%define rel 1

Summary:       KDE Channel Approver for Telepathy
Name:          telepathy-kde-approver
Version: 0.6.0
Release:       %mkrel %{rel}
Url:           https://projects.kde.org/projects/playground/network/telepathy/telepathy-approver
Source0:       ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:       GPLv2+
Group:         Networking/Instant messaging 
BuildRequires: pkgconfig(TelepathyQt4)
BuildRequires: kdelibs4-devel

Obsoletes: telepathy-approver < 0.2.0-0

%description
KDE Channel Approver for Telepathy.

%files -f kded_ktp_approver.lang
%{_kde_libdir}/kde4/kded_ktp_approver.so
%{_kde_configdir}/ktp_approverrc
%{_kde_services}/kded/ktp_approver.desktop
%{_kde_servicetypes}/ktp-approver.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Approver.service
#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang kded_ktp_approver


%changelog

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407392
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402371
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399553
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332479
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306893
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285431
- Update tarball to 0.5.0

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271738
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202921
- Fix BuildRequires
- Update tarball to 0.3.0

* Sun Nov 27 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173199
- Update tarball to 0.2.0
- fix files list
- use space instead of tabs
- Rename package to match upstream name
- Update tarball
- fix files list

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113035
- New snapshot

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113032
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110414.1.mga1
+ Revision: 86116
- imported package telepathy-approver

